Bug 23408 - Relatives' checkout table columns are not configured properly
Summary: Relatives' checkout table columns are not configured properly
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 19719
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-31 21:39 UTC by Lucas Gass
Modified: 2019-09-20 19:26 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23408: Move relatives-issues-table to an include (4.75 KB, patch)
2019-08-01 11:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23408: Move relatives-issues-table to an include (6.25 KB, patch)
2019-08-02 20:46 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 23408: Move relatives-issues-table to an include (6.29 KB, patch)
2019-08-04 16:14 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23408: Move relatives-issues-table to an include (6.36 KB, patch)
2019-08-10 12:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2019-07-31 21:39:26 UTC
TO TEST:

1. Add a child patron and link them to either a mother/father guarantor.
2. Go to the parent account and look at the 'relatives checkout' tab 
2. Observe the columns are not correct
Comment 1 Nick Clemens 2019-08-01 11:46:39 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-08-02 18:50:13 UTC
When applying the patch, I get an error on "Check out" and "Details" page :

Template process failed: file error - relatives-issues-table.inc: not found at /inlibro/git/koha-master-dev-inlibro/C4/Templates.pm line 122.

I think the new file "relatives-issues-table.inc" was not added to the patch.
Comment 3 Nick Clemens 2019-08-02 20:46:42 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-08-04 16:14:20 UTC
Created attachment 91949 [details] [review]
Bug 23408: Move relatives-issues-table to an include

TO test:
1 - Find and adult patron
2 - Add a child account
3 - Check out some things to the child
4 - View the adults account, click 'Relatives checkouts'
5 - Observe table is oddly formatted
6 - View on both the 'Check out' and 'Details' tabs
7 - Apply patch
8 - Tables are displayed correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2019-08-10 12:08:05 UTC
Created attachment 92127 [details] [review]
Bug 23408: Move relatives-issues-table to an include

TO test:
1 - Find and adult patron
2 - Add a child account
3 - Check out some things to the child
4 - View the adults account, click 'Relatives checkouts'
5 - Observe table is oddly formatted
6 - View on both the 'Check out' and 'Details' tabs
7 - Apply patch
8 - Tables are displayed correctly

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-08-13 10:33:41 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-09-02 12:28:24 UTC
Caused by Bug 19719 which added collection column only in circulation.tt
Comment 8 Fridolin SOMERS 2019-09-02 12:35:34 UTC
Pushed to 19.05.x for 19.05.04
Comment 9 Lucas Gass 2019-09-17 20:03:13 UTC
I cannot properly rebase this for 18.11.x, if we need it please rebase
Comment 10 Lucas Gass 2019-09-20 19:26:24 UTC
backported to 18.11.x for 18.11.10